Name:       locmap
Version:    1.0
Release:    9%{?dist}
Summary:    Puppet on the desktop

Group:      CERN/Utilities
License:    BSD
URL:        http://linux.cern.ch
Source0:    %{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Obsoletes: lcm
Obsoletes: ccm
Obsoletes: lcm-profile
Obsoletes: lcm-firstboot
Obsoletes: ncm-ncd
Obsoletes: ncm-template
Obsoletes: ncm-afsclt ncm-chkconfig ncm-krb5clt ncm-ncd ncm-nscd
Obsoletes: ncm-ntpd ncm-ocsagent ncm-sendmail ncm-srvtab ncm-ssh

Provides: lcm
Provides: lcm-profile

Requires: python-ldap
Requires: python-netaddr
Requires: krb5-workstation
Requires: PyYAML
Requires: useraddcern
Requires: iproute
Requires: bind-utils

Requires: puppet-afs
Requires: puppet-cvmfs
Requires: puppet-kerberos
Requires: puppet-nscd
Requires: puppet-ntp
Requires: puppet-sendmail
Requires: puppet-ssh
Requires: puppet-sudo
Requires: puppet-eosclient
Requires: puppet-cernbox
Requires: puppet-lpadmin
Requires: puppet-gpg

%description
Puppet on the desktop


%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
install -d %{buildroot}/%{_sysconfdir}/locmap
install -d %{buildroot}/%{_sysconfdir}/locmap/enabled
install -d %{buildroot}/%{_sysconfdir}/puppet/userdata/module_names
install -d %{buildroot}/%{_datadir}/man/man1
install -d %{buildroot}/%{_datadir}/puppet/modules

install -m 0755 scripts/locmap %{buildroot}/%{_bindir}/
install -m 0755 scripts/lcm %{buildroot}/%{_bindir}/
install -m 0600 etc/hiera.yaml %{buildroot}/%{_sysconfdir}/locmap/
install -m 0600 etc/locmap.conf %{buildroot}/%{_sysconfdir}/locmap/
install -m 0644 man/locmap.1.gz %{buildroot}/%{_datadir}/man/man1/
install -m 0744 puppet/site.pp %{buildroot}/%{_datadir}/puppet/modules/
install -m 0644 src/locmap/__init__.py %{buildroot}/%{python_sitelib}/locmap/__init__.py
install -m 0644 src/locmap/guessdomain.py %{buildroot}/%{python_sitelib}/locmap/guessdomain.py
install -m 0644 src/locmap/hierawrite.py %{buildroot}/%{python_sitelib}/locmap/hierawrite.py
install -m 0644 src/locmap/xldapclient.py %{buildroot}/%{python_sitelib}/locmap/xldapclient.py
install -m 0644 src/locmap/modules/__init__.py %{buildroot}/%{python_sitelib}/locmap/modules/__init__.py
install -m 0644 src/locmap/modules/afs.py %{buildroot}/%{python_sitelib}/locmap/modules/afs.py
install -m 0644 src/locmap/modules/kerberos.py %{buildroot}/%{python_sitelib}/locmap/modules/kerberos.py
install -m 0644 src/locmap/modules/lpadmin.py %{buildroot}/%{python_sitelib}/locmap/modules/lpadmin.py
install -m 0644 src/locmap/modules/ntp.py %{buildroot}/%{python_sitelib}/locmap/modules/ntp.py
install -m 0644 src/locmap/modules/sendmail.py %{buildroot}/%{python_sitelib}/locmap/modules/sendmail.py
install -m 0644 src/locmap/modules/ssh.py %{buildroot}/%{python_sitelib}/locmap/modules/ssh.py
install -m 0644 src/locmap/modules/sudo.py %{buildroot}/%{python_sitelib}/locmap/modules/sudo.py

%post
if [ "$1" = "1" ]; then
    modules='afs kerberos sendmail sudo ssh ntp lpadmin gpg'
    for module in $modules;do
        if [ ! -L '/etc/locmap/enabled/'$module ];then
            link_modules=$(/bin/ln -s '/usr/share/puppet/modules/'$module '/etc/locmap/enabled/')
        fi
    done
fi

%files
%dir %{_sysconfdir}/locmap/enabled
%dir %{_sysconfdir}/puppet/userdata/module_names
%defattr (-, root, root)
%{_bindir}/locmap
%{_bindir}/lcm
%{_mandir}/man1/locmap.1.gz
%config(noreplace) %{_sysconfdir}/locmap/locmap.conf
%{_datadir}/puppet/modules/site.pp
%{_sysconfdir}/locmap/hiera.yaml
%{python_sitelib}/locmap/__init__.py*
%{python_sitelib}/locmap/guessdomain.py*
%{python_sitelib}/locmap/hierawrite.py*
%{python_sitelib}/locmap/xldapclient.py*
%{python_sitelib}/locmap/modules/__init__.py*
%{python_sitelib}/locmap/modules/afs.py*
%{python_sitelib}/locmap/modules/kerberos.py*
%{python_sitelib}/locmap/modules/lpadmin.py*
%{python_sitelib}/locmap/modules/ntp.py*
%{python_sitelib}/locmap/modules/sendmail.py*
%{python_sitelib}/locmap/modules/ssh.py*
%{python_sitelib}/locmap/modules/sudo.py*
%{python_sitelib}/locmap-*.egg-info

%doc LICENSE README.md

%changelog
* Fri Feb 03 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.0-9
- Fix cn method, for none xldap Linux computers

* Mon Dec 05 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.0-5
- Fix guessdomain

* Mon Dec 05 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.0-4
- Obsolete ncm* lcm*

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.0-1
- Add lcm binary with deprecation message
- Rebuild for 7.3 release

* Mon Nov 21 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Add puppet-gpg to locmap

* Fri Nov 18 2016 Aris Boutselis <aris.boutselis@cern.ch>
- PEP8 fixes

* Tue Nov 8 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Add required rpms for networking, use case: most dockerfiles don't have these packages

* Thu Oct 27 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Obsolete lcm, lcm-profile and lcm-firstboot

* Fri Oct 21 2016 Aris Boutselis <aris.boutselis@cern.ch>
- All locmap features are provided by puppet modules and minor fixes

* Wed Oct 12 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Bring a more modular locmap, each puppet module has a module.py lib

* Fri Sep 30 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Add a locmap argument to configure printers and minor fixes

* Tue Sep 27 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Introduced e-groups feature

* Mon Sep 19 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Remove hiera default values for cvmfs and eosclient

* Tue Jul 26 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Add Cernbox module to Locmap
